--- a/nwg_shell/skel/config/sway/autostart
+++ b/nwg_shell/skel/config/sway/autostart
@@ -4,6 +4,5 @@
 exec_always nwg-autotiling
 exec_always nwg-drawer -r -s preset-0.css -term foot
 exec_always nwg-panel -c preset-0 -s preset-0.css
-exec_always nwg-shell-check-updates
 exec nwg-look -a
 exec nwg-shell-config

--- a/nwg_shell/skel/config/nwg-bar/bar.json
+++ b/nwg_shell/skel/config/nwg-bar/bar.json
@@ -11,12 +11,12 @@
   },
   {
     "label": "Reboot",
-    "exec": "systemctl reboot",
+    "exec": "loginctl reboot",
     "icon": "/usr/share/nwg-bar/images/system-reboot.svg"
   },
   {
     "label": "Shutdown",
-    "exec": "systemctl -i poweroff",
+    "exec": "loginctl poweroff",
     "icon": "/usr/share/nwg-bar/images/system-shutdown.svg"
   }
 ]

--- a/nwg_shell/skel/config/nwg-panel/preset-0
+++ b/nwg_shell/skel/config/nwg-panel/preset-0
@@ -81,11 +81,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "systemctl reboot"
+            "cmd": "loginctl reboot"
           },
           {
             "name": "Shutdown",
-            "cmd": "systemctl -i poweroff"
+            "cmd": "loginctl poweroff"
           }
         ]
       },

--- a/nwg_shell/skel/config/nwg-panel/preset-1
+++ b/nwg_shell/skel/config/nwg-panel/preset-1
@@ -83,11 +83,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "systemctl reboot"
+            "cmd": "loginctl reboot"
           },
           {
             "name": "Shutdown",
-            "cmd": "systemctl -i poweroff"
+            "cmd": "loginctl poweroff"
           }
         ]
       },

--- a/nwg_shell/skel/config/nwg-panel/preset-2
+++ b/nwg_shell/skel/config/nwg-panel/preset-2
@@ -103,11 +103,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "systemctl reboot"
+            "cmd": "loginctl reboot"
           },
           {
             "name": "Shutdown",
-            "cmd": "systemctl -i poweroff"
+            "cmd": "loginctl poweroff"
           }
         ]
       },
@@ -150,8 +150,8 @@
     "menu-start-settings": {
       "cmd-lock": "swaylock -f -c 000000",
       "cmd-logout": "swaymsg exit",
-      "cmd-restart": "systemctl reboot",
-      "cmd-shutdown": "systemctl -i poweroff",
+      "cmd-restart": "loginctl reboot",
+      "cmd-shutdown": "loginctl poweroff",
       "autohide": true,
       "file-manager": "thunar",
       "height": 0,

--- a/nwg_shell/skel/config/nwg-panel/preset-3
+++ b/nwg_shell/skel/config/nwg-panel/preset-3
@@ -79,11 +79,11 @@
           },
           {
             "name": "Restart",
-            "cmd": "systemctl reboot"
+            "cmd": "loginctl reboot"
           },
           {
             "name": "Shutdown",
-            "cmd": "systemctl -i poweroff"
+            "cmd": "loginctl poweroff"
           }
         ]
       },

--- a/nwg_shell/skel/config/sway/config
+++ b/nwg_shell/skel/config/sway/config
@@ -36,10 +36,9 @@
 
 ###############     Autostart      ##################
 
-exec systemctl --user import-environment DISPLAY WAYLAND_DISPLAY SWAYSOCK
 exec hash dbus-update-activation-environment 2>/dev/null && \
-    dbus-update-activation-environment --systemd DISPLAY WAYLAND_DISPLAY SWAYSOCK
-exec /usr/lib/polkit-gnome/polkit-gnome-authentication-agent-1
+    dbus-update-activation-environment --session DISPLAY WAYLAND_DISPLAY SWAYSOCK
+exec /usr/libexec/polkit-gnome-authentication-agent-1
 exec ~/.azotebg
 
 ### Turn off screen on lid closed

--- a/nwg_shell/skel/data/nwg-shell-config/settings
+++ b/nwg_shell/skel/data/nwg-shell-config/settings
@@ -83,9 +83,9 @@
   "gtklock-logout-command": "swaymsg exit",
   "gtklock-playerctl": false,
   "gtklock-powerbar": false,
-  "gtklock-poweroff-command": "systemctl -i poweroff",
-  "gtklock-reboot-command": "systemctl reboot",
-  "gtklock-suspend-command": "systemctl suspend",
+  "gtklock-poweroff-command": "loginctl poweroff",
+  "gtklock-reboot-command": "loginctl reboot",
+  "gtklock-suspend-command": "loginctl suspend",
   "gtklock-time-format": "%H:%M:%S",
   "gtklock-userinfo": false,
   "gtklock-userswitch-command": ""

